%define upstream_name    GStreamer-Interfaces
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module for the gstreamer library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz
# http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=150831

BuildRequires: libgstreamer-devel >= 0.10
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: perl(Glib) >= 1.100
BuildRequires: perl(GStreamer)
BuildRequires: perl(Gtk2) >= 1.100
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl-devel



%description
This module allows you to use the GStreamer library from Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 
perl Makefile.PL INSTALLDIRS=vendor

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
#%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LICENSE NEWS README META.yml
%{_mandir}/*/*
%{perl_vendorarch}/GStreamer/*
%{perl_vendorarch}/auto/*

%changelog
* Sun Jun 12 2011 ahmad <ahmad> 0.60.0-3.mga2
+ Revision: 104509
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-2.mga1
+ Revision: 37329
- mageia rebuild
- imported package perl-GStreamer-Interfaces

